curl https://app.demeterrr.com/api/v1/contacts/550e8400-e29b-41d4-a716-446655440000 \
-H "X-API-Key: dem_your_key_here"
const contactId = '550e8400-e29b-41d4-a716-446655440000';
const response = await fetch(`https://app.demeterrr.com/api/v1/contacts/${contactId}`, {
headers: { 'X-API-Key': 'dem_your_key_here' }
});
const contact = await response.json();
{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"email": "john.doe@example.com",
"firstName": "John",
"lastName": "Doe",
"phone": "+15551234567",
"title": "Mr.",
"preferredLanguage": "en",
"locationId": "660e8400-e29b-41d4-a716-446655440000",
"contactOrganizationId": null,
"customFields": {},
"tags": [],
"unsubscribed": false,
"createdAt": "2026-01-15T10:30:00.000Z",
"updatedAt": "2026-02-10T14:20:00.000Z"
}
}
{
"error": {
"code": "NOT_FOUND",
"message": "Contact not found"
}
}
Contacts
Get Contact
Retrieve a single contact by ID
GET
/
api
/
v1
/
contacts
/
:id
curl https://app.demeterrr.com/api/v1/contacts/550e8400-e29b-41d4-a716-446655440000 \
-H "X-API-Key: dem_your_key_here"
const contactId = '550e8400-e29b-41d4-a716-446655440000';
const response = await fetch(`https://app.demeterrr.com/api/v1/contacts/${contactId}`, {
headers: { 'X-API-Key': 'dem_your_key_here' }
});
const contact = await response.json();
{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"email": "john.doe@example.com",
"firstName": "John",
"lastName": "Doe",
"phone": "+15551234567",
"title": "Mr.",
"preferredLanguage": "en",
"locationId": "660e8400-e29b-41d4-a716-446655440000",
"contactOrganizationId": null,
"customFields": {},
"tags": [],
"unsubscribed": false,
"createdAt": "2026-01-15T10:30:00.000Z",
"updatedAt": "2026-02-10T14:20:00.000Z"
}
}
{
"error": {
"code": "NOT_FOUND",
"message": "Contact not found"
}
}
Authentication
Requirescontacts:read scope.
Path Parameters
string
required
Contact UUID
curl https://app.demeterrr.com/api/v1/contacts/550e8400-e29b-41d4-a716-446655440000 \
-H "X-API-Key: dem_your_key_here"
const contactId = '550e8400-e29b-41d4-a716-446655440000';
const response = await fetch(`https://app.demeterrr.com/api/v1/contacts/${contactId}`, {
headers: { 'X-API-Key': 'dem_your_key_here' }
});
const contact = await response.json();
{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"email": "john.doe@example.com",
"firstName": "John",
"lastName": "Doe",
"phone": "+15551234567",
"title": "Mr.",
"preferredLanguage": "en",
"locationId": "660e8400-e29b-41d4-a716-446655440000",
"contactOrganizationId": null,
"customFields": {},
"tags": [],
"unsubscribed": false,
"createdAt": "2026-01-15T10:30:00.000Z",
"updatedAt": "2026-02-10T14:20:00.000Z"
}
}
{
"error": {
"code": "NOT_FOUND",
"message": "Contact not found"
}
}
⌘I